<?php
// Fetch required classes
require_once(DIR . '/dbtech/ajaxthreads/includes/class_core.php');
require_once(DIR . '/dbtech/ajaxthreads/includes/class_cache.php');
if (intval($vbulletin->versionnumber) == 3 AND !class_exists('vB_Template'))
{
	// We need the template class
	require_once(DIR . '/dbtech/ajaxthreads/includes/class_template.php');
}	

if (is_object($this))
{
	// Loads the cache class
	AJAXTHREADS_CACHE::init($vbulletin, $this->datastore_entries, array('dbtech_ajaxthreads_usergroup'));
}
else
{
	// Loads the cache class
	AJAXTHREADS_CACHE::init($vbulletin, $specialtemplates, array('dbtech_ajaxthreads_usergroup'));
}

// Initialise forumon
AJAXTHREADS::init($vbulletin);

if (AJAXTHREADS::$permissions['canview'])
{
	$show['ajaxthreads'] = $vbulletin->options['dbtech_ajaxthreads_navbar'];
	$show['ajaxthreads_ispro'] = AJAXTHREADS::$isPro;
	if ($vbulletin->options['dbtech_ajaxthreads_integration'] & 1)
	{
		$show['ajaxthreads_ql'] = true;
	}
	if ($vbulletin->options['dbtech_ajaxthreads_integration'] & 2)
	{
		$show['ajaxthreads_com'] = true;
	}
}

// Show branding or not
$show['ajaxthreads_branding'] = $vbulletin->options['dbtech_ajaxthreads_branding_free'] != base64_decode('dmJ3YXJlei5uZXQ=');
$show['dbtech_ajaxthreads_producttype'] = (AJAXTHREADS::$isPro ? ' (Pro)' : ' (Lite)');

if ($show['ajaxthreads_branding'] AND !$show['_dbtech_branding_override'])
{
	$brandingVariables = array(
		'flavour' 			=> 'Live Threads provided by ',
		'productid' 		=> 114,
		'utm_source' 		=> str_replace('www.', '', $_SERVER['HTTP_HOST']),		
		'utm_content' 		=> (AJAXTHREADS::$isPro ? 'Pro' : 'Lite'),
		'referrerid' 		=> $vbulletin->options['dbtech_ajaxthreads_referral'],
		'title' 			=> 'AJAX Threads',
		'displayversion' 	=> $vbulletin->options['dbtech_ajaxthreads_displayversion'],
		'version' 			=> AJAXTHREADS::$version,
		'producttype' 		=> $show['dbtech_ajaxthreads_producttype'],
		'showhivel' 		=> (!AJAXTHREADS::$isPro AND !$vbulletin->options['dbtech_ajaxthreads_nohivel'])
	);

	$str = $brandingVariables['flavour'] . '
		<a rel="nofollow" href="http://www.dragonbyte-tech.com/vbecommerce.php' . ($brandingVariables['productid'] ? '?productid=' . $brandingVariables['productid'] . '&do=product&' : '?') . 'utm_source=' . $brandingVariables['utm_source'] . '&utm_campaign=Footer%2BLinks&utm_medium=' . urlencode(str_replace(' ', '+', $brandingVariables['title'])) . '&utm_content=' . $brandingVariables['utm_content'] . ($brandingVariables['referrerid'] ? '&referrerid=' . $brandingVariables['referrerid'] : '') . '" target="_blank">' . $brandingVariables['title'] . ($brandingVariables['displayversion'] ? ' v' . $brandingVariables['version'] : '') . $brandingVariables['producttype'] . '</a> - 
		<a href="http://www.dragonbyte-tech.com/?utm_source=' . $brandingVariables['utm_source'] . '&utm_campaign=Footer%2BLinks&utm_medium=' . urlencode(str_replace(' ', '+', $brandingVariables['title'])) . '&utm_content=' . $brandingVariables['utm_content'] . ($brandingVariables['referrerid'] ? '&referrerid=' . $brandingVariables['referrerid'] : '') . '" target="_blank">vBulletin Mods &amp; Addons</a> Copyright &copy; ' . date('Y') . ' DragonByte Technologies Ltd.' . 
		($brandingVariables['showhivel'] ? ' Runs best on <a href="http://www.hivelocity.net/?utm_source=Iain%2BKidd&utm_medium=back%2Blink&utm_term=Dedicated%2BServer%2BSponsor&utm_campaign=Back%2BLinks%2Bfrom%2BIain%2BKidd" target="_blank">HiVelocity Hosting</a>.' : '');
	$vbulletin->options['copyrighttext'] = (trim($vbulletin->options['copyrighttext']) != '' ? $str . '<br />' . $vbulletin->options['copyrighttext'] : $str);
}