<?php
do
{
	if (!$vbulletin->options['dbtech_ajaxthreads_active'])
	{
		// Mod deactivated
		break;
	}

	if (!$vbulletin->options['dbtech_ajaxthreads_enableimg'])
	{
		// Image deactivated
		break;
	}
	
	if (!$thread['open'])
	{
		// Thread is closed
		break;
	}
	
	if (AJAXTHREADS::$permissions['isbannedgroup'])
	{
		// We can't use inline threads
		break;
	}
	
	if (AJAXTHREADS::$isPro)
	{
		if ($thread['replycount'] < $vbulletin->options['dbtech_ajaxthreads_minreplycount'])
		{
			// Not enough posts
			break;
		}
	}
	
	if (!AJAXTHREADS::$isPro)
	{
		// Lite-only shit
		$parentlist = explode(',', $foruminfo['parentlist']);
		if ($parentlist[0] == -1)
		{
			// This forum
			$noticeforum = $foruminfo['forumid'];		
		}
		else
		{
			$key = (count($parentlist) - 2);
			$noticeforum = $parentlist[$key];
		}
	}
	else
	{
		// This forum
		$noticeforum = $foruminfo['forumid'];
	}
	
	$canAutoUpdate 		= !(AJAXTHREADS::$permissions['cannotautoupdate'] 	OR $vbulletin->forumcache[$noticeforum]['dbtech_ajaxthreads_cannotautoupdate']);
	$canManualUpdate 	= !(AJAXTHREADS::$permissions['cannotmanualupdate'] OR $vbulletin->forumcache[$noticeforum]['dbtech_ajaxthreads_cannotmanualupdate']);
	
	if ($threadinfo['dbtech_ajaxthreads_refreshthread_override'])
	{
		// We'll do whatever the thread flag says
		$canAutoUpdate 	= $threadinfo['dbtech_ajaxthreads_refreshthread'];
	}
	else
	{
		// Disable refreshes if it's disabled for this thread
		$canAutoUpdate 	= (!$threadinfo['dbtech_ajaxthreads_refreshthread'] ? false : $canAutoUpdate);
	}
	
	// Override it with the vBOption - separated in case we need to revert the manager override bit
	$canAutoUpdate 		= ($vbulletin->options['dbtech_ajaxthreads_automatic_update'] ? $canAutoUpdate : false);
	
	if (!$canAutoUpdate AND !$canManualUpdate)
	{
		// No permissions
		break;
	}
	
	// Append the image
	$thread['threadtitle'] = '<img src="' . $vbulletin->options['bburl'] . '/dbtech/ajaxthreads/images/ajaxenabled.png" alt="' . $vbphrase['dbtech_ajaxthreads_ajax_update_enabled'] . '" title="' . $vbphrase['dbtech_ajaxthreads_ajax_update_enabled'] . '" border="0" /> ' . $thread['threadtitle'];
}
while (false);
?>