<?php
/*======================================================================*\
|| #################################################################### ||
|| # ---------------------------------------------------------------- # ||
|| # Copyright 2012 Fillip Hannisdal AKA Revan/NeoRevan/Belazor 	  # ||
|| # All Rights Reserved. 											  # ||
|| # This file may not be redistributed in whole or significant part. # ||
|| # ---------------------------------------------------------------- # ||
|| # You are not allowed to use this on your server unless the files  # ||
|| # you downloaded were done so with permission.					  # ||
|| # ---------------------------------------------------------------- # ||
|| #################################################################### ||
\*======================================================================*/

// #############################################################################
if ($_REQUEST['action'] == 'forum' OR empty($_REQUEST['action']))
{
	$forumids = array();
	foreach ((array)$vbulletin->forumcache as $forumid => $forum)
	{
		if (!AJAXTHREADS::$isPro AND $forum['parentid'] != -1)
		{
			// This forum isn't a parent forum
			continue;
		}
		
		$forumids[] = $forumid;
	}
	
	
	$headings = array();
	$headings[] = $vbphrase['forum'];
	$headings[] = $vbphrase['dbtech_ajaxthreads_automatic_update_disabled'];
	$headings[] = $vbphrase['dbtech_ajaxthreads_manual_update_disabled'];
	
	print_cp_header(strip_tags(construct_phrase($vbphrase['dbtech_ajaxthreads_editing_x_y'], $vbphrase['permissions'], $vbphrase['forum'])));
	echo '<style type="text/css">dfn { display:none; }</style>';
	print_form_header('ajaxthreads', 'forum');
	construct_hidden_code('action', 'updateforum');	
	print_table_header(construct_phrase($vbphrase['dbtech_ajaxthreads_editing_x_y'], $vbphrase['permissions'], $vbphrase['forum']), count($headings));
	print_cells_row($headings, 0, 'thead');
	
	foreach ((array)$forumids as $forumid)
	{
		// Shorthand
		$forum = $vbulletin->forumcache[$forumid];
		$cell = array();
		$cell[] = construct_depth_mark($forum['depth'],'- - ') . $forum['title'];
		$cell[] = '
			<center>
				<input type="hidden" name="forum[' . $forumid . '][dbtech_ajaxthreads_cannotautoupdate]" value="0" />
				<label for="cb_forum_' . $forumid . '_dbtech_ajaxthreads_cannotautoupdate">
					<input type="checkbox" name="forum[' . $forumid . '][dbtech_ajaxthreads_cannotautoupdate]" id="cb_forum_' . $forumid . '_dbtech_ajaxthreads_cannotautoupdate" value="1"' . ($forum['dbtech_ajaxthreads_cannotautoupdate'] ? ' checked="checked"' : '') . ($vbulletin->debug ? ' title="name=&quot;forum[' . $forumid . '][dbtech_ajaxthreads_cannotautoupdate]&quot;"' : '') . '/>
				</label>
			</center>
		';
		$cell[] = '
			<center>
				<input type="hidden" name="forum[' . $forumid . '][dbtech_ajaxthreads_cannotmanualupdate]" value="0" />
				<label for="cb_forum_' . $forumid . '_dbtech_ajaxthreads_cannotmanualupdate">
					<input type="checkbox" name="forum[' . $forumid . '][dbtech_ajaxthreads_cannotmanualupdate]" id="cb_forum_' . $forumid . '_dbtech_ajaxthreads_cannotmanualupdate" value="1"' . ($forum['dbtech_ajaxthreads_cannotmanualupdate'] ? ' checked="checked"' : '') . ($vbulletin->debug ? ' title="name=&quot;forum[' . $forumid . '][dbtech_ajaxthreads_cannotmanualupdate]&quot;"' : '') . '/>
				</label>
			</center>
		';
		print_cells_row($cell, 0, 0, -5, 'middle', 0, 1);	
	}
	print_submit_row($vbphrase['save'], false, count($headings));
	print_cp_footer();
}

// #############################################################################
if ($_POST['action'] == 'updateforum')
{
	// Grab stuff
	$vbulletin->input->clean_array_gpc('p', array(
		'forum' 	=> TYPE_ARRAY,
	));
	
	foreach ($vbulletin->GPC['forum'] as $forumid => $varnames)
	{
		foreach ($varnames as $varname => $yesno)
		{
			if ($yesno != $vbulletin->forumcache[$forumid][$varname])
			{
				// Will never return false but meh
				AJAXTHREADS::$db->update('forum', array(
					$varname => $yesno
				), 'WHERE forumid = ' . $forumid);
			}
		}
	}
	
	require_once(DIR . '/includes/adminfunctions_forums.php');
	build_forum_permissions();
	
	define('CP_REDIRECT', 'ajaxthreads.php?do=forum');
	print_stop_message('dbtech_ajaxthreads_x_y', $vbphrase['permissions'], $vbphrase['dbtech_ajaxthreads_edited']);	
}